#ifndef __HELLOWORLD_H__
#define __HELLOWORLD_H__

#define SHELL_STATE_CMD		0
#define SHELL_STATE_TMP 	1
#define SHELL_STATE_INACTIVE 	2

#define IIC_PSU_ID  XPAR_PSU_I2C_0_DEVICE_ID
#define IIC_TEMP_ID XPAR_PSU_I2C_1_DEVICE_ID
#define IIC_SCLK_RATE       100000
#define I2C_MUX_ADDR        0x70
#define I2C_MUX_CH_IRPS		0
#define I2C_MUX_CH_THERM	1
#define I2C_MUX_CH_SI5341	2
#define I2C_MUX_CH_FAN		4
#define I2C_MUX_CH_SFP    	5
#define I2C_SI5341_ADDR		0x76
#define I2C_LM75_0_ADDR		0x48
#define I2C_LM75_1_ADDR		0x49
#define I2C_LM75_2_ADDR		0x4A
#define I2C_MAX6639_ADDR	0x2C

#define I2C_PSU0_ADDR	0x58 //0xB0
//#define I2C_PSU0_ADDR	0x45 //0x58
#define I2C_PSU1_ADDR	0x59 //0xB2

#define EMIO_PCYCLE  79
#define EMIO_PCYCLE_STR 80
#define EMIO_PPRES_0 81
#define EMIO_PPRES_1 82
#define MIO_LED2 30

struct t_psu_diag {
	int pres;
	float vout[2];
	float iout[2];
	float pout[2];
	float temp;
};


#endif
