# Gateware

This repository folder allows you to build the bitstream/XSA file for the DIOT system board version 1 & 2 which based on Xilinx Zynq Ultrascale+ (**xczu7cg-ffvf1517-1-e**)

## Requirements Linux
- Docker:
    - [Install Docker Debian](https://docs.docker.com/engine/install/debian/)
    - [Install Docker Ubuntu](https://docs.docker.com/engine/install/ubuntu/)
    - [Install Docker CentOS](https://docs.docker.com/engine/install/centos/)
- Vitis **v2019.2**:
    - [Download Vitis 2019.2](https://www.xilinx.com/member/forms/download/xef-vitis.html?filename=Xilinx_Vitis_2019.2_1106_2127.tar.gz)
    - [Install Vitis](https://docs.xilinx.com/v/u/2019.2-English/ug1400-vitis-embedded)

- Install make Debian/Ubuntu:
```console
sudo apt install -y make
```
- Install make CentOS:
```console
yum install -y make
```

## Build Container
```console
sudo chmod 777 docker/Dockerbuild.sh
cd docker && sh Dockerbuild.sh
```

## Maintainers
- [Alén Arias Vázquez](mailto:alen.arias.vazquez@cern.ch)
- [Greg Daniluk](mailto:grzegorz.daniluk@cern.ch)

