#
# This is the DIOT-UTIL apllication recipe
#
#

SUMMARY = "diot-demo application"
SECTION = "PETALINUX/apps"
LICENSE = "GPLv3+"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/GPL-3.0;md5=c79ff39f19dfec6d293b95dea7b07891"
SRC_URI = " \
           file://Makefile             \
           file://diot_util.c          \
           file://diot_util.h          \
           file://diot_util_clk.c      \
           file://diot_util_clk.h      \
           file://diot_util_error.c    \
           file://diot_util_error.h    \
           file://diot_util_gpio.c     \
           file://diot_util_gpio.h     \
           file://diot_util_sensors.c  \
           file://diot_util_sensors.h  \
           file://diot_util_pts.c      \
           file://diot_util_pts.h      \
           file://fru.c                \
           file://fru.h                \
           file://fru_utils.c          \
           file://fru_utils.h          \
           file://term.c               \
           file://term.h               \
           file://util.c               \
           file://util.h               \
        "

DEPENDS = "libgpiod readline lmsensors"
RDEPENDS_${PN} = "lmsensors-libsensors"

S = "${WORKDIR}"
CFLAGS_prepend = "-I ${S}/include"

do_compile() {
        oe_runmake
}

do_install() {
        install -d ${D}${bindir}
        install -m 0755 ${S}/diot_util ${D}${bindir}

}

do_compile_prepend() {
	export SB_VER=${SB_VER}
}
